"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExportProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `export module from 'module`
 */
class ExportProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isExportDeclaration(node) && node.moduleSpecifier && this.ts.isStringLiteral(node.moduleSpecifier)) {
            return {
                node,
                moduleName: node.moduleSpecifier.text,
            };
        }
        return undefined;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateExportDeclaration(node, node.modifiers, node.isTypeOnly, node.exportClause, this.factory.createStringLiteral(moduleName), 
        /* eslint-disable-next-line @typescript-eslint/no-deprecated */
        node.assertClause);
    }
}
exports.ExportProcessor = ExportProcessor;
//# sourceMappingURL=export-processor.js.map