import typescript, { ImportSpecifier, NamespaceImport } from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ImportDeclaration;
    keepImport: boolean;
    typeOnly?: boolean;
    nonTypeNamedBindings?: ImportSpecifier[];
    namespaceImport?: NamespaceImport;
}
/**
 * Processor for `import module from 'module'`
 */
export declare class ImportProcessor extends Processor {
    parse(node: typescript.Node): {
        node: typescript.ImportDeclaration;
        moduleName: string;
        keepImport: boolean;
        typeOnly?: undefined;
        nonTypeNamedBindings?: undefined;
        namespaceImport?: undefined;
    } | {
        node: typescript.ImportDeclaration;
        keepImport: boolean;
        moduleName: string;
        typeOnly: boolean;
        nonTypeNamedBindings: typescript.ImportSpecifier[];
        namespaceImport: typescript.NamespaceImport | undefined;
    } | undefined;
    updateModuleName(moduleName: string, { node, keepImport, typeOnly, nonTypeNamedBindings, namespaceImport }: ParseResult): typescript.ImportDeclaration | undefined;
}
export {};
